org.flexdock.plaf.mappings

## Class SkinLFResolver

- java.lang.Object
- - org.flexdock.plaf.mappings.RefResolver
  - - org.flexdock.plaf.mappings.SkinLFResolver

-     public class SkinLFResolver
      extends RefResolver

  Author:
    Christopher Butler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkinLFResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDefaultRef()`
    `java.lang.String` | `getRef(java.lang.String plaf)`

    - ### Methods inherited from class org.flexdock.plaf.mappings.RefResolver

      `setDefaultRef`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkinLFResolver

          public SkinLFResolver()

  - ### Method Detail

    - #### getRef

          public java.lang.String getRef(java.lang.String plaf)

      Overrides:
        `getRef` in class `RefResolver`

    - #### getDefaultRef

          public java.lang.String getDefaultRef()

      Overrides:
        `getDefaultRef` in class `RefResolver`